RCVRESPMSG(3)

NAME
RcvRespMsg - read data

SYNOPSIS

#include <gpib/ib.h>

void RcvRespMsg(int board_desc, void *buffer, long count, int termination);

DESCRIPTION

RcvRespMsg() reads data from the bus. A device must have already been addressed as talker (and the board as listener) before calling this function. Addressing may be accomplished with the ReceiveSetup() function.

Up to count bytes are read into the array specified by buffer. The termination argument specifies the 8-bit end-of-string character (which must be a value from 0 to 255) whose reception will terminate a read. termination can also be set to the 'STOPend' constant, in which case no end-of-string character will be used. Assertion of the EOI line will always end a read.

You may find it simpler to use the slightly higher level function Receive(), since it does not require addressing and reading of data to be performed separately.

COPYRIGHT
Copyright © 2003-2006, 2008 Frank Mori Hess